Subject: bug#63283: Emacs crash within fontset

From: Seppo Ronkainen <[email-masked]>
Date: Thu, 04 May 2023 19:04:48 +0000

Honorable GNU developers !

For some reason the new Emacs 29.0.90 did not build at work the other day unless I provided configuration option --without-all (I plan to look into why later but that is not why I am writing this report now).

When I experimented with Emacs (29.0.90 --without-all) I noticed a crash defect that was easy to reproduce. It seemed to have with fonts to do. I have noticed the same problem both at work CentOS 7.9 and at home (currently on a raspberry pi 4) not that it matters but anyhow several machines / architectures. The problem seemed non-present when I built Emacs without configuration option --without-all

I attach details about my findings in an org file, hope it helps

Live long and prosper